Subject: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling font-lock-fontify-buffer from a hook

From: Stefan Monnier <[email-masked]>
Date: Sat, 27 Jul 2013 10:03:45 -0400

>> I've tried a brief ediff between the font-lock files in 24.3 and trunk,
>> but haven't spotted the difference yet in font-lock-fontify-buffer which
>> I suspect is there.

> Why should there be any difference?  The value that differs is that of
> `font-lock-fontify-buffer-function'.  Calling `font-lock-fontify-buffer'
> from prog-mode does `font-lock-default-fontify-buffer'.  Calling it from
> c-mode does `jit-lock-refontify'.  Or what am I missing?

So it's back to the problem of font-lock-fontify-buffer meaning two
different things.  Could someone look into providing
font-lock-ensure-fontification and font-lock-mark-for-refontification,
and mark font-lock-fontify-buffer obsolete?

        Stefan